#!/usr/bin/bash
{{ ansible_managed | comment }}
#
# stunnel startup script
#
# chkconfig: - 75 13
# description: stunnel
# processname: stunnel

# LSB compliant service control script
#
### BEGIN INIT INFO
# Provides:                     stunnel application
# Required-Start:               $ALL
# Should-Start:
# Required-Stop:
# Should-Stop:
# Default-Start:                3 5
# Default-Stop:                 0 1 6
# Short-Description:            stunnel
# Description:                  Starts and stops stunnel
### END INIT INFO

service_name=stunnel

exit_var=0

case "$1" in
        start)
                if [ $(id -u) -eq 0 ]
                        then
                                su - {{ wl_user }} -c "/bin/stunnel {{ wl_home }}/stunnel/conf/stunnel.conf"
                        else
                                /bin/stunnel {{ wl_home }}/stunnel/conf/stunnel.conf
                fi
                ;;
        stop)
                kill `cat /var/run/stunnel/stunnel.pid`
                [ -e /var/run/stunnel/stunnel.pid ] && rm -f /var/run/stunnel/stunnel.pid
                ;;
        status)
                if ([ -e /var/run/stunnel/stunnel.pid ]); then
                  echo "$service_name is running!!!"
                  exit_var=0
                else
                  echo "$service_name is down!!!"
                  exit_var=3
                fi
                ;;
        *)
        echo "Usage: $0 {start,stop,status}"
        exit
esac
exit $exit_var
